# Add a emergency address for a number

With this endpoint, you can provision an emergency address associated with this number.

Endpoint: POST /v1/projects/{projectId}/activeNumbers/{phoneNumber}/emergencyAddress:provision
Version: 1.0.3
Security: Basic, OAuth2.0

## Security:

  - `Basic` (unknown)
    http basic

  - `OAuth2.0` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    Found on your [Sinch Customer Dashboard](https://dashboard.sinch.com/settings/project-management). Settings > Projects.

  - `phoneNumber` (string, required)
    Output only. The phone number in [E.164](https://community.sinch.com/t5/Glossary/E-164/ta-p/7537) format with leading `+`.

## Request body:

  - `application/json` (unknown)
    Request to provision an emergency address for a number.

## Request fields (application/json):

  - `displayName` (string, required)
    Name for emergency address.
    Example: New emergency address

  - `address` (object, required)
    Details of the emergency address.

  - `address.streetNumber` (string)
    The street number for the emergency address.
    Example: 12345

  - `address.streetInfo` (string)
    The street name of the emergency location.
    Example: Main St

  - `address.location` (string)
    The location for address.
    Example: Apt 5

  - `address.city` (string)
    The city of the emergency location.
    Example: Springfield

  - `address.state` (string)
    The state or province of the emergency location.
    Example: IL

  - `address.postalCode` (string)
    The postal code of the emergency location.
    Example: 62701

  - `address.postalCodePlusFour` (string)
    The postal code of the emergency location.
    Example: 1234

## Response 200:

  - `200` (unknown)
    A successful response, or an [error](https://developers.sinch.com/docs/numbers/api-reference/error-codes/status-codes/)

## Response 200 fields (application/json):

  - `streetNumber` (string)
    The street number for the emergency address.
    Example: 12345

  - `streetInfo` (string)
    The street name of the emergency location.
    Example: Main St

  - `location` (string)
    The location for address.
    Example: Apt 5

  - `city` (string)
    The city of the emergency location.
    Example: Springfield

  - `state` (string)
    The state or province of the emergency location.
    Example: IL

  - `postalCode` (string)
    The postal code of the emergency location.
    Example: 62701

  - `postalCodePlusFour` (string)
    The postal code of the emergency location.
    Example: 1234

## Response 400:

  - `400` (unknown)
    400 Invalid Argument error

## Response 400 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    Enum: "400"

  - `error.message` (string)

  - `error.status` (string)
    Enum: "INVALID_ARGUMENT"

  - `error.details` (array)

  - `error.details.type` (string)
    Enum: "BadRequest"

  - `error.details.fieldViolations` (array)

  - `error.details.fieldViolations.field` (string)

  - `error.details.fieldViolations.description` (string)

## Response 403:

  - `403` (unknown)
    PERMISSION_DENIED: improper credentials. Be sure your projectId, username and password are correct.

## Response 404:

  - `404` (unknown)
    404 Not Found error

## Response 404 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    Enum: "404"

  - `error.message` (string)

  - `error.status` (string)
    Enum: "NOT_FOUND"

  - `error.details` (array)

  - `error.details.type` (string)

  - `error.details.resourceType` (string)
    The type of the resource that was not found.

  - `error.details.resourceName` (string)
    The name of the resource that was not found.

  - `error.details.owner` (string)
    The owner of the resource that was not found.

  - `error.details.description` (string)
    A description of the error.

## Response 500:

  - `500` (unknown)
    500 Internal Server error

## Response 500 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    Enum: "500"

  - `error.message` (string)

  - `error.status` (string)
    Enum: "INTERNAL", "UNKNOWN"

  - `error.details` (array)

